Package org.eclipse.ecf.provider.comm

## Interface IConnectRequestHandler

All Known Implementing Classes:
  `SSLServerSOContainer`, `TCPServerSOContainer`

    public interface IConnectRequestHandler

Connection request handler

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializable` `handleConnectRequest​(Socket aSocket, String target, Serializable data, ISynchAsynchConnection conn)` Handle a connect request from remote client

### Method Detail

#### handleConnectRequest

    Serializable handleConnectRequest​(Socket aSocket,
                                      String target,
                                      Serializable data,
                                      ISynchAsynchConnection conn)

Handle a connect request from remote client

Parameters:
  `aSocket` - the Socket that the request came in on
  `target` - the target that the request is intended for
  `data` - any data that was sent along with request (e.g. password or other authentication data)
  `conn` - the connection instance that received the request
Returns:
  any data intended as a response. If null is returned, this typically means refusal of connect request